unit mainQDialog;

{$mode objfpc}{$H+}

interface

uses
  Forms, Controls, Dialogs, StdCtrls, AskDialog, sysutils;

type

  { TTestDialogForm }

  TTestDialogForm = class(TForm)
    FunctionCallLabel: TLabel;
    TestAskDialogButton: TButton;
    procedure TestAskDialogButtonClick(Sender: TObject);
  end;

var
  TestDialogForm: TTestDialogForm;

implementation

{$R *.lfm}

procedure TTestDialogForm.TestAskDialogButtonClick(Sender: TObject);
var
  mr: TModalResult;
begin
  mr:= QuestionDlgIcons(
        'Can''t proceed',
        'What is your username?',
        mtError,
        [mrNo,'I don''t have a username', mrYes,'Okay, I''ll give it', 'isDefault', mrClose,'Close','isCancel'],
        True);
  Caption := Format('QuestionDlgIcons(...) returned %s', [{%H-}ModalResultStr[mr]]);
end;

end.

